Parameters
JSON body
Request body
application/jsonentityIdstringRequiredAccounting entity external id.
Length: 16–24
idsstring[]Requirednotestring | nullOptionalOne of 2:
Variant 1
string
Length: 0–1000
Variant 2
null
Approve one or more suggestions (posts each document as it stands now)
JSON body
entityIdstringRequiredAccounting entity external id.
idsstring[]Requirednotestring | nullOptional1 status code documented
This response returns no JSON body.
{
"success": true
}POST /bff/ledger/automation/suggestion-approve
curl -X POST "https://api.bizkithub.com/bff/ledger/automation/suggestion-approve" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"entityId": "example_entityId",
"ids": [
"string"
]
}'All BizKitHub public API endpoints require authentication via API key.